import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I {
    str: string;
    regex: string;
}
export interface O {
    match: string;
}
export default class Match extends Functional<I, O> {
    constructor(system: System);
    f({ str, regex }: I, done: any): void;
}
